%define qtdir %libdir/qt3

Name: kaffeine
Version: 0.7.1
Release: alt0.1

Group: Video
Summary: A Xine-based Media Player for KDE
License: GPL
Url: http://kaffeine.sourceforge.net

Packager: Andrey Semenov <mitrofan@altlinux.ru>

Requires: kdelibs >= %{get_version kdelibs}

Source: %name-%version.tar.bz2

# Automatically added by buildreq on Fri Nov 21 2003
BuildRequires: XFree86-devel fontconfig freetype2-devel
BuildRequires: gcc-c++ kdelibs-devel
BuildRequires: libarts-devel libqt3-devel zlib-devel
BuildRequires: libstdc++-devel libxine-devel libxml2 libxslt xml-utils
#BuildRequires: gstreamer-devel
BuildRequires: kernel-headers-std26-up pkgconfig

%description
Kaffeine is a Xine-based Media Player for QT/KDE

%prep
%setup -q
#subst "s/Wl,--no-undefined/-Wl,--warn-unresolved-symbols/g" admin/acinclude.m4.in
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir"
%configure \
    --disable-rpath \
    --enable-shared \
    --disable-static \
    --enable-new-ldflags \
    --program-transform-name="" \
    --with-xinerama \
    --with-xinit-workaround \
    --without-gstreamer

%make_build

%install
%make install DESTDIR=%buildroot

#menu
%__mkdir_p %Kb_menudir
%Kd2m %name Multimedia/Video %Kbmenudir/%name.desktop %Kb_menudir/%name

%find_lang --with-man --with-kde %name

%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus

%files -f %name.lang
%doc AUTHORS BUGS ChangeLog README TODO
%_man1dir/*
#
%_bindir/%name
%_libdir/libkmediapart.so*
%_libdir/kde3/lib%{name}part.*
#
%_menudir/%name
%Kmenudir/*.desktop
%_datadir/mimelnk/application/*%{name}*.desktop
%_datadir/services/*
#
%_datadir/apps/%name
#%exclude %_datadir/apps/%name/logo.avi
%_datadir/apps/profiles/*
%_datadir/apps/konqueror/servicemenus/*.desktop
#
%_iconsdir/hicolor/*/apps/*.png
%_iconsdir/*/*/actions/*.png
%_iconsdir/*/*/mimetypes/*%{name}*.png

%changelog
* Thu Sep 08 2005 Sergey V Turchin <zerg at altlinux dot org> 0.7.1-alt0.1
- new version

* Wed Aug 24 2005 Sergey V Turchin <zerg at altlinux dot org> 0.7-alt0.1
- new version

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.3b-alt3.1
- Rebuilt with libstdc++.so.6.

* Sat Jun 5 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.4.3b-alt3
- remove kaffeineplugin.so requires from package

* Fri May 28 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.4.3b-alt2
- fixed kaffeineplugin.so file bug

* Fri May 14 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.4.3b-alt1
- moved mozilla-plugin in CVS module kaffeine-mozilla
- removed superkaramba example
- font encoding fix (xine-lib uses now utf8 by default)
- fixed broken icons for KDE 3.2

* Tue May 11 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.4.3-alt2
- rebuild with gcc-3.3

* Tue May 4 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.4.3-alt1
- 0.4.3
- finally fixed the crash after closing with xfree 4.4/X.org 6.7
- kaffeine uses now the tvtime plugin for deinterlacing
- fixed compiler errors with gcc 3.3.3
- playlist window shortcuts are now also configurable

* Thu Mar 25 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.4.2-alt1
- 0.4.2
- control panel layout improved (fixed jerking time button)
- playlist track info dialog improved + click on info icon opens it
- playlist status bar shows total entries + total play time
- fixed conflicts with installation files of KDE 3.2

* Sun Jan 18 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.4.1-alt1
- 0.4.1
- new command line switch --verbose to output xine debug messages
- support for xine messages added (popup)
- support for mouse wheel added
- support for network broadcasting

* Sat Dec 13 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.4-alt3
- cleanup spec file

* Fri Nov 21 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.4-alt2
- improve .spec by Sergey V Turchin
- fix requires
- fix menu to be with mimetypes
- add patch to don't ask about link mozilla plugin

* Mon Nov 17 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.4-alt1
- 0.4 release
- add cmd line option --enqueue to append files to current playlist
- handbook updated
- bookmark-entrys may now be playlists
- new titles (maybe from internet broadcast) now OS displayed
- add equalizer

* Sun Oct 12 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.4-alt0.1.beta1
- 0.4beta1
- plays now local *.wma files
- add a right-click context menu for minimal- and fullscreen-mode
- add a minimal mode (hides control-panel and menu)
- add small context menu for playlist entries
- resolved startup problems
- bugs fixed

* Sun Jun 29 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.3.2-alt1
- First version of RPM package.

